Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# ops

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# ops

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO

# NAME

ops - Perl pragma to restrict unsafe operations when compiling

# SYNOPSIS

      perl -Mops=:default ...    # only allow reasonably safe operations  perl -M-ops=system ...     # disable the 'system' opcode

# DESCRIPTION

Since the `ops` pragma currently has an irreversible global effect, it is only of significant practical use with the `-M` option on the command line.

See the Opcode module for information about opcodes, optags, opmasks and important information about safety.

# SEE ALSO

Opcode, Safe, perlrun

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO